tree.binarytree

## Enum SearchState

- java.lang.Object
- - java.lang.Enum<SearchState>
  - - tree.binarytree.SearchState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SearchState>

       enum SearchState
      extends java.lang.Enum<SearchState>

  Stav uzlu při procházení do hloubky a do šířky.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ssFinal` Dokončeno.
    `ssInitial` Počáteční stav.
    `ssMiddle` Rozpracováno.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) SearchState` | `succ()` Vrátí stav uzlu následující za this.
    `static SearchState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SearchState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ssInitial

          public static final SearchState ssInitial

      Počáteční stav. Uzel ani jeho podstramy ještě nejsou zpracované.

    - #### ssMiddle

          public static final SearchState ssMiddle

      Rozpracováno. Např. levá větev je zpracovaná, pravá ještě ne.

    - #### ssFinal

          public static final SearchState ssFinal

      Dokončeno. Zpracování uzlu i jeho podstromů bylo dokončeno.

  - ### Method Detail

    - #### values

          public static SearchState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SearchState c : SearchState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SearchState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### succ

          SearchState succ()

      Vrátí stav uzlu následující za this.
      Returns:
        následující stav